#ifndef _HELP_DESIGN_ELEMENTS_H_
#define _HELP_DESIGN_ELEMENTS_H_

#ifdef __cplusplus
extern "C" {
#endif

/**
 *  @brief Заголовок страницы помощи.
 *  @details Заголовок страницы помощи.
 *  
 *  @param text Текст заголовка.
 */
void helpHeader (const char *text);

/**
 *  @brief Строка вывода помощи.
 *  @details Строка вывода помощи.
 *  Примеры использования - см. shell.c.
 *  
 *  @param param Параметр.
 *  @param sep Разделитель ("-").
 *  @param text Поясняющий текст.
 */
void helpString (const char *param, const char *sep, const char *text);

/**
 *  @brief Строка разделителя между разделами помощи.
 *  @details Строка разделителя между разделами помощи.
 *  
 */
void helpBreakLine ();

#ifdef __cplusplus
}
#endif

#endif
