#ifndef _G_DISP_H
#define _G_DISP_H

#define FB_NONSTD_HAM		1	/* Hold-And-Modify (HAM)	*/
#define FB_NONSTD_REV_PIX_IN_B	2	/* order of pixels in each byte is reversed */

#define FB_ACTIVATE_NOW		0	/* set values immediately (or vbl)*/
#define FB_ACTIVATE_NXTOPEN	1	/* activate on next open	*/
#define FB_ACTIVATE_TEST	2	/* don't set, round up impossible */
#define FB_ACTIVATE_MASK       15
					/* values			*/
#define FB_ACTIVATE_VBL	       16	/* activate values on next vbl	*/
#define FB_CHANGE_CMAP_VBL     32	/* change colormap on vbl	*/
#define FB_ACTIVATE_ALL	       64	/* change all VCs on this fb	*/
#define FB_ACTIVATE_FORCE     128	/* force apply even when no change*/
#define FB_ACTIVATE_INV_MODE  256	/* invalidate videomode */

#define FB_SYNC_HOR_HIGH_ACT	1	/* horizontal sync high active	*/
#define FB_SYNC_VERT_HIGH_ACT	2	/* vertical sync high active	*/
#define FB_SYNC_EXT		4	/* external sync		*/
#define FB_SYNC_COMP_HIGH_ACT	8	/* composite sync high active	*/
#define FB_SYNC_BROADCAST	16	/* broadcast video timings	*/
					/* vtotal = 144d/288n/576i => PAL  */
					/* vtotal = 121d/242n/484i => NTSC */
#define FB_SYNC_ON_GREEN	32	/* sync on green */

#define FB_VMODE_NONINTERLACED	0	/* non interlaced */
#define FB_VMODE_INTERLACED	1	/* interlaced	*/
#define FB_VMODE_DOUBLE		2	/* double scan */
#define FB_VMODE_ODD_FLD_FIRST	4	/* interlaced: top line first */
#define FB_VMODE_MASK		255

#define FB_VMODE_YWRAP		256	/* ywrap instead of panning	*/
#define FB_VMODE_SMOOTH_XPAN	512	/* smooth xpan possible (internally used) */
#define FB_VMODE_CONUPDATE	512	/* don't update x/yoffset	*/

struct fb_videomode {
           char *name;
           int xres;
		   int yres;
		   int refresh;
		   int vmode;
		   int left_margin;
		   int right_margin;
		   int upper_margin;
		   int lower_margin;
		   int hsync_len;
		   int vsync_len;
		   int pixclock;
		   int sync;
		   int flag;
		   };



/*
 * Graphic Format 
 */
#define GDF_16BIT_565RGB        1
#define GDF_32BIT_X888RGB       2
#define GDF_32BIT_A888RGB       3
#define GDF_24BIT_888RGB        4

typedef enum { GDI_HDMI = 0, GDI_LCD, GDI_LVDS, GDI_TV } gd_interface;



typedef struct {
        unsigned int frameAdrs;
		int gdfIndex;
		int gdfBytesPP;
		int winSizeX;
		int winSizeY;
        } GraphicDevice;



		
#endif		
