/**
 * @addtogroup groupCore
 * @{
 * @file sha1.h
 * @brief Программная имплементация SHA-1.
 * @}
 */
/*
 * @date 2009-2023
 * @author Steve Reid (https://github.com/clibs/sha1).
 * @author Dubovich Timofey.
 */
#ifndef SHA1_H
#define SHA1_H


#include <stdint.h>
#include <stddef.h>

/**
 * Программно расчитать чек-сумму sha-1.
 * @param pData Указатель на данные.
 * @param len Длинна данных.
 * @param[out] pHashOutBuffer Буфер под итоговую чек-сумму размером минимум в 20 байт.
 */
void sha1_compute (const void *pData, size_t len, uint8_t pHashOutBuffer[static 20]);

#endif /* SHA1_H */
