/**
    @addtogroup groupStdTypes
    @{
    @file stdnoreturn.h
    @brief Определение макроса noreturn.
    @details
    @see <a href="https://www.iso.org/standard/57853.html">C11 standard 7.23</a>.
    @}
 */

/*
  @date Created on: 13 Jul 2022
  @author Dubovich Timofey
*/

#ifndef __STDNORETURN_H_
#define __STDNORETURN_H_


#if __STDC_VERSION__  >= 201112L    // C11 and higher.
    #define noreturn _Noreturn
#else
    #define noreturn ///< Не поддерживается в режимах, отличных от C11.
#endif

// ONLY for Eclipse IDE parser.
#if defined(__CDT_PARSER__)
    /// Eclipse IDE parser doesn't support noreturn keyword.
    #undef noreturn
    #define noreturn
#endif


#endif /* __STDNORETURN_H_ */
