/**
 * @file uniquid.h
 * @brief Функции для получения уникальных идентификаторов процессоров.
 * @details
 */
/*
 * @date Created on: 18 May 2023
 * @author Dubovich Timofey
 */

#ifndef __UNIQUID_H_
#define __UNIQUID_H_

#include <multex.h>
#include <stdint.h>


/**
 * Считать идентификатор процессора в буфер.
 * @param outputBuffer[out] Выходной буфер под идентификатор размером минимум в 32 байта.
 * @return OK при успехе, ERROR иначе.
 * @warning Вызов функции допустим только для устройств, основанных на SOC'ах 'Alwinner A20' и 'Alwinner V3s'.
 */
STATUS uniquid_ReadId(uint8_t outputBuffer[static 32]);

/// @privatesection

unsigned short *readUID(void); //Получить указатель на 8-байтовый идентификатор процессора (4 шорта)

int printUID(void);

#endif /* __UNIQUID_H_ */

