/**
 *  @addtogroup groupCore
 *  @{
 *  @file vdisk.h
 *  @brief Механизмы монтирования виртуального тома.
 *  @details Файл содержит описание методов работы с виртуальными томами в ОС @osName.
 *  @}
 */


#ifndef VDISK_H_
#define VDISK_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <multex.h>



// TODO Требуются комментарии Сергея на тему создания файла для монтирования.

/**
 * Смонтировать виртуальный том.
 * @param devName Имя устройства, которое будет иметь смонтированный том.
 * @param imgFile Путь к файлу тома.
 * @return \ref OK при успешном монтировании тома, \ref ERROR иначе.
 * @note Для смонтированного тома доступны только операции чтения, но не записи.
 */
STATUS mountVDisk(const char *devName, const char *imgFile);

#ifdef __cplusplus
}
#endif
#endif // ifndef VDISK_H_
